Bug Hunting Session
Bug 113739 - User dictionaries need support languages with rich affixation and/or compounding
Summary: User dictionaries need support languages with rich affixation and/or compounding
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: László Németh
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-09 15:39 UTC by László Németh
Modified: 2017-11-20 19:01 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2017-11-09 15:39:37 UTC
Description:
While adding a new word to the user dictionary is easy in a language with relatively simple morphology, several languages need a more sophisticated method to handle the problem of the dictionary extension.

Hunspell spell checker supports to add a new word to the dictionary with the flags, ie. affixation and compounding of a known *sample word*.

This enhancement uses this Hunspell feature by extension of the language-specific (not "All" languages, but "en-US" etc.) user dictionaries via a new "Grammar By" field.

Simple English example:

Let be "crowdfund" the new word (missing from the American English dictionary) in an en-US user dictionary.

Adding also the dictionary word "fund" in the optional "Grammar By" field, the new word "crowdfund" will be recognized with suffixes of the word "fund" automatically, too:

crowdfund’s, crowdfunds, crowdfunder, crowdfunders and crowdfunding.


Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Martin Srebotnjak 2017-11-16 22:38:23 UTC
I do not see the "Grammar By:" string in the pot files from November 14 and 16 of the master, so I wonder - is this string localizable at all?

Or maybe this patch hasn't been included in the master yet?
Comment 2 Commit Notification 2017-11-17 16:33:28 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95d9f596336ebf19dc367f618b3788a4ce0ba542

tdf#113739 add "Grammar By" feature to user dictionaries

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 László Németh 2017-11-17 16:38:59 UTC
(In reply to Martin Srebotnjak from comment #1)
> I do not see the "Grammar By:" string in the pot files from November 14 and
> 16 of the master, so I wonder - is this string localizable at all?
> 
> Or maybe this patch hasn't been included in the master yet?

Yes, I have just pushed it. I will update the relevant Help page soon. I hope, that information will help to find the correct expression for "Grammar By" in other languages, too. (Also I hope, "Grammar By" was a good choice for native English speakers.) Thanks for your question and translation.
Comment 5 Commit Notification 2017-11-20 19:01:24 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=ebc20f206274da2125fb814da5f5dd1650aaba84

tdf#113739 help text of "Grammar By" user dictionary field